function removeEmpty(selector) {
    $(selector).each(function(){
        var me=$(this);
        if($.trim(me.text())=='' && $.trim(me.html())=='')
            me.remove();
    });
}
function calcHeight(selector) {
    var height=0;
    var box=$(selector);
    box.each(function(){
        if($(this).outerHeight()>height)
            height=$(this).outerHeight();
    });
    box.css('height',height);
    box.attr('data-height',height);
    // $(window).on('resize', function(){
    //     height=0;
    //     box.css('height','');
    //     box.each(function(){
    //         if($(this).outerHeight()>height)
    //             height=$(this).outerHeight();
    //     });
    //     box.css('height',height);
    // });

    var wWidth = $(window).width();
    $(window).on('resize', function(){
        if($(this).width()!=wWidth){
            wWidth = $(this).width();
            height=0;
            box.css('height','');
            box.each(function(){
                if($(this).outerHeight()>height)
                    height=$(this).outerHeight();
            });
            box.css('height',height);
            //console.log('height', height, selector);
            box.attr('data-height',height);
        }
    });
}
// Document ready
$(function(){
    $('.bg-img').each(function () { //for setting bg images in sections
     //   $(this).find('a.tpopup').addClass('for-bgImg').prependTo($(this).parent());

        if($(this).find('a:not(.tpopup)').length) {
            var src = $(this).find('a:not(.tpopup)>img').attr('src');
            $(this).css('background-image', 'url('+src+')');
        }
        else {
            var src = $(this).find('>img').attr('src');
            $(this).css('background-image', 'url('+src+')');
        }
    });

    // START Youtube - Vimeo substitution with image

    $("iframe").each(function () {
        var el = $(this),
                elSrc = el.attr("src") + "";

        var videoTitle = "";

        if(el.siblings(".title")){
            videoTitle = el.siblings(".title").text().replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
        }


        if (elSrc.indexOf("https://www.youtube.com/embed/") >= 0) {
            console.log("youtube");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var youtubeId = el.attr("src").substring(("https://www.youtube.com/embed/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length),
                    youtubeImage = "<div class='show-youtube-video' data-video='" + youtubeId + "'><div class='youtube-play-button'></div><img  src=\'https://img.youtube.com/vi/" + youtubeId + "/0.jpg' alt=" + videoTitle + "></div>";
            //youtubeImage = "<div class='show-youtube-video' data-video='" + youtubeId + "'><div class='youtube-play-button'></div><img  src=\'https://img.youtube.com/vi/" + youtubeId + "/sddefault.jpg' alt=" + videoTitle + "></div>";
            $(this).after(youtubeImage).remove();

        } else if (elSrc.indexOf("https://player.vimeo.com/video/") >= 0) {
            console.log("vimeo");

            if (!$(this).parents('.youtube-responsive').length) {
                $(this).wrap("<div class='youtube-responsive'></div>");
            }

            var vimeoId = el.attr("src").substring(("https://player.vimeo.com/video/").length, el.attr("src").indexOf("?") >= 0 ? el.attr("src").indexOf("?") : el.attr("src").length);
            $(this).after("<div id=\'vimeo_" + vimeoId + "\'" + " class=\'show-vimeo-video\' data-video='" + vimeoId + "'><div class='vimeo-play-button'></div></div>").remove();

            $.ajax({
                type: 'GET',
                url: 'http://vimeo.com/api/v2/video/' + vimeoId + '.json',
                jsonp: 'callback',
                dataType: 'jsonp',
                success: function (data) {
                    var vimeoImage = data[0].thumbnail_large;
                    videoTitle = data[0].title.replace(/ /g,'_').replace(/[^a-zA-Z0-9_]/g, '');
                    $("#vimeo_" + vimeoId + " .vimeo-play-button").after("<img src='" + vimeoImage + "' alt=" + videoTitle + ">");
                }
            });

        } else {
            console.log("other");
        }
    });

    $(".show-youtube-video").on("click", function () {
        var video = $(this).attr("data-video"),
                youtubeVideoLink = "https://www.youtube.com/embed/" + video + "?rel=0&showinfo=1&autoplay=1";
        $(this)
                .toggleClass("active")
                .html("<iframe src=" + youtubeVideoLink + " allow='accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture' allowfullscreen='' width='560' height='315'></iframe>");
    });

    $(".show-vimeo-video").on("click", function () {
        var video = $(this).attr("data-video"),
                vimeoVideoLink = "https://player.vimeo.com/video/" + video + "?loop=1&amp;autopause=0&amp;autoplay=1";
        $(this)
                .toggleClass("active")
                .html("<iframe src=" + vimeoVideoLink + " width='640' height='360' frameborder='0' allow='autoplay; fullscreen' allowfullscreen=''></iframe>");
    });

    // END Youtube - Vimeo substitution with image
});